import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    constructor();
    protected get_sk(): IndicatorCalculationStrategy;
    protected readonly sk: IndicatorCalculationStrategy;
    protected get_sx(): Type;
    protected readonly sx: Type;
    shortPeriod: number;
    static readonly s8: DependencyProperty;
    protected ss(): number;
    longPeriod: number;
    static readonly s7: DependencyProperty;
    protected sp(): number;
    signalPeriod: number;
    static readonly s9: DependencyProperty;
    protected r0(): number;
}
